Bug 1076454 - yumex hangs if user cancel the authorization dialog
Summary: yumex hangs if user cancel the authorization dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:743ee4441c74a17674a91b524d2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 11:35 UTC by Alois Mahdal
Modified: 2014-06-17 23:27 UTC (History)
1 user (show)

Fixed In Version: yumex-3.0.15-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-15 01:52:53 UTC


Attachments (Terms of Use)
File: backtrace (40.44 KB, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: cgroup (173 bytes, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: core_backtrace (13.02 KB, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: dso_list (16.12 KB, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: environ (755 bytes, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: maps (79.30 KB, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: open_fds (706 bytes, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details
File: var_log_messages (203 bytes, text/plain)
2014-03-14 11:35 UTC, Alois Mahdal
no flags Details

Description Alois Mahdal 2014-03-14 11:35:16 UTC
Description of problem:
In attempt to view its contents, I opened an RPM package by issuing `xdg-open mypkg.rpm` from urxvt.  Authorization dialog appeared so I cancelled it--I was not sure what to expect but did not want to install anything--and went on to explore the contents another way.  After a while, thanks to CPU fan noise I found out that yumex is eating 25% and a "shield" icon is hanging in notification tray. 

So I killed it. (Yeah. I killed it dead. ;))

Version-Release number of selected component:
yumex-3.0.14-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/python -tt /usr/bin/yumex -X install /home/amahdal/iniparser-CoreOS-iniparser-Library-python-1.0-9.noarch.rpm
crash_function: PyEval_EvalFrameEx
executable:     /usr/bin/python2.7
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            22482

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:1144
 #1 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
 #2 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
 #3 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #4 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
 #5 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
 #6 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #7 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
 #8 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4194
 #9 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119

Comment 1 Alois Mahdal 2014-03-14 11:35:22 UTC
Created attachment 874339 [details]
File: backtrace

Comment 2 Alois Mahdal 2014-03-14 11:35:24 UTC
Created attachment 874340 [details]
File: cgroup

Comment 3 Alois Mahdal 2014-03-14 11:35:26 UTC
Created attachment 874341 [details]
File: core_backtrace

Comment 4 Alois Mahdal 2014-03-14 11:35:28 UTC
Created attachment 874342 [details]
File: dso_list

Comment 5 Alois Mahdal 2014-03-14 11:35:35 UTC
Created attachment 874343 [details]
File: environ

Comment 6 Alois Mahdal 2014-03-14 11:35:37 UTC
Created attachment 874344 [details]
File: limits

Comment 7 Alois Mahdal 2014-03-14 11:35:39 UTC
Created attachment 874345 [details]
File: maps

Comment 8 Alois Mahdal 2014-03-14 11:35:43 UTC
Created attachment 874347 [details]
File: open_fds

Comment 9 Alois Mahdal 2014-03-14 11:35:47 UTC
Created attachment 874348 [details]
File: proc_pid_status

Comment 10 Alois Mahdal 2014-03-14 11:35:53 UTC
Created attachment 874349 [details]
File: var_log_messages

Comment 11 Tim Lauridsen 2014-03-19 07:16:37 UTC
Look like there is an issue in the current yumex, when you cancel the authorization dialog. It should exit nicely, not hang.
I will fix it

Comment 13 Fedora Update System 2014-06-06 06:23:07 UTC
yumex-3.0.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yumex-3.0.15-1.fc20

Comment 14 Fedora Update System 2014-06-06 06:23:14 UTC
yumex-3.0.15-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yumex-3.0.15-1.fc19

Comment 15 Fedora Update System 2014-06-10 02:53:29 UTC
Package yumex-3.0.15-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yumex-3.0.15-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7120/yumex-3.0.15-1.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-06-15 01:52:53 UTC
yumex-3.0.15-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-06-17 23:27:47 UTC
yumex-3.0.15-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.